> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# groupview

> GroupViewMDOProvider uses the AssociateMDOProvider + DiaryView to create the MDOlist for Groupview in Diary view.

## "groupview" MDO List

GroupViewMDOProvider uses the AssociateMDOProvider + DiaryView to create the MDOlist for Groupview in Diary view.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.GroupViewMDOProvider">GroupViewMDOProvider</see> class.
The name of the MDO list is 'groupview'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/groupview
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("groupview", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 2  | Example |           |           |

## Related MDO Lists

* "groupviewheadings"
* "groupviewheadingswithallitem"
* "groupviewheadingswithallitemwithnoselection"
* "groupviewheadingswithnoselection"
* "groupviewwithallitem"
* "groupviewwithallitemwithnoselection"
* "groupviewwithnoselection"


## Related topics

- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
